      character*9 file
      character*2 azi,azf
      character*8 a8
      character*15 filetop,fileplt1,filesig1,fileplt2,filesig2,filetopx
      
      call getarg(1,file)
      filesig1 = file//'t1.sig'
      filesig2 = file//'t2.sig'      
      filetop = file//'.top'
      filetopx = file//'x.top'      
      fileplt1 = file//'t1.plt'
      fileplt2 = file//'t2.plt'      
      call fch15(filesig1)
      call fch15(filesig2)      
      call fch15(filetop)
      call fch15(filetopx)      
      call fch15(fileplt1)
      call fch15(fileplt2)      
      

      open(unit=20,file=filetop)
      open(unit=30,file=filetopx)
      




      do 500 it = 1,2
      
      
      if(it.eq.1) open(unit=10,file=filesig1,err=500)
      if(it.eq.2) open(unit=10,file=filesig2,err=500)       
      if(it.eq.1) open(unit=21,file=fileplt1) 
      if(it.eq.2) open(unit=21,file=fileplt2)       

                
                
      
      read(10,*)
      read(10,130) azi,iai,a8,azf,iaf,elab
130   format(13x,a2,i3,a8,a2,i3,4xf8.3)      

      if(it.eq.1) write(20,100) iai,azi,a8,iaf,azf,elab
100   format('ls 1.3',/,'fi',/,'0.,180.,10.,20.,^o_(cm) (degrees)',
     1/,'-2.,2.,1.,1.,log_(10) [d^s/d^W] (mb/sr)',
     1/,'dl 30..,1.4,$(',i3,')',a2,a8,'$(',i3,')',a2,
     1/,'dl 30.,1.1,E_(lab) = ',f5.1,' MeV')
      if(it.eq.1) write(30,108) iai,azi,a8,iaf,azf,elab
108   format('sa 0,1',/,'ls 1.3',/,'fi',
     1/,'0.,180.,10.,20.,^o_(cm) (degrees)',
     1/,'.01,100.,.01,.01,[d^s/d^W] (mb/sr)',
     1/,'dl 30..,1.4,$(',i3,')',a2,a8,'$(',i3,')',a2,
     1/,'dl 30.,1.1,E_(lab) = ',f5.1,' MeV')     
     
      if(it.eq.1) write(20,140) fileplt1
140   format('ds dash',/,'df ',a15)
      if(it.eq.2) write(20,141) fileplt2
141   format('ds line',/,'df ',a15)  

      if(it.eq.1) write(30,340) filesig1
340   format('ds dash',/,'df ',a15)
      if(it.eq.2) write(30,341) filesig2
341   format('ds line',/,'df ',a15)     
      
      do 10 i = 1,7
10    read(10,*)     
     
120   continue
      read(10,*,end=200,err=200) t,s
      slog = alog10(s)
      write(21,101) t,slog
101   format(2f8.3)
      go to 120
200   continue
      close(10)
      close(21)
500   continue
      stop
      end
      
      subroutine fch15(file)
      character*15 file

      do 10 i = 1,15
      if(file(i:i).eq.' ') go to 11
10    continue
      return
11    ia = i

      do 12 i = ia+1,15
      if(file(i:i).ne.' ') go to 13
12    continue
      return
13    ib = i

      il = 15-ib+1
      do 14 i = 1,il
      i1 = ia+i-1
      i2 = ib+i-1
      file(i1:i1) = file(i2:i2)
14    continue

      do 15 i = ia+il,15
15    file(i:i) = ' '
c      print 100,file
      return
      end        
      